From 531018ff0475e1a0f62fa4d5ec5123a4185c92f3 Mon Sep 17 00:00:00 2001
From: Yosef Or Boczko <yosefor3@walla.com>
Date: Tue, 25 Jun 2013 19:48:04 +0300
Subject: Fix bug "Enter doesn't search in some fields of Find in Files dialog"

---
 src/search.c | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/src/search.c b/src/search.c
index 893bc68..fa62224 100644
--- a/src/search.c
+++ b/src/search.c
@@ -912,6 +912,7 @@ static void create_fif_dialog(void)
 	dir_combo = gtk_combo_box_text_new_with_entry();
 	entry = gtk_bin_get_child(GTK_BIN(dir_combo));
 	ui_entry_add_clear_icon(GTK_ENTRY(entry));
+	gtk_entry_set_activates_default(GTK_ENTRY(entry), TRUE);
 	gtk_label_set_mnemonic_widget(GTK_LABEL(label1), entry);
 	gtk_entry_set_width_chars(GTK_ENTRY(entry), 50);
 	fif_dlg.dir_combo = dir_combo;
@@ -999,6 +1000,7 @@ static void create_fif_dialog(void)
 	ui_entry_add_clear_icon(GTK_ENTRY(entry_extra));
 	gtk_widget_set_sensitive(entry_extra, FALSE);
 	gtk_widget_set_tooltip_text(entry_extra, _("Other options to pass to Grep"));
+	gtk_entry_set_activates_default(GTK_ENTRY(entry_extra), TRUE);
 	ui_hookup_widget(fif_dlg.dialog, entry_extra, "entry_extra");
 
 	/* enable entry_extra when check_extra is checked */
-- 
1.8.3.1
